#### D.6.1.6 multseq2charexp

Procedure from library `alexpoly.lib` (see alexpoly_lib).

Assume:
  The input is an intvec, which contains the mutiplicity sequence of an irreducible plane curve singularity .

Return:
  An intvec, which contains the sequence of characteristic exponents of the irreducible plane curve singularity defined by v.

Example:

    LIB "alexpoly.lib";
    intvec v=2,1,1;
    multseq2charexp(v);
    ==> 2,3
    intvec v1=4,2,2,1,1;
    multseq2charexp(v1);
    ==> 4,6,7

User manual for Singular version 4.4.1, 2025, generated by texi2html.